POST /v1/companies/{companyId}/origins?dryRun=
Authorization: Bearer vx_…
X-Actor: user:mikko
Idempotency-Key: <unique>
Content-Type: application/json
{
"type": "SALES_INVOICE",
"externalReference"?: string,
"buyer": {
"partyId"?: string,
"name"?: string,
"businessId"?: string,
"vatId"?: string,
"iban"?: string,
"einvoiceAddress"?: string,
"externalId"?: string,
"country"?: string
},
"documentDate"?: string,
"dueDate": string,
"currency"?: string,
"fxRate"?: number,
"lines": [
{
"description": string,
"net": integer,
"taxCode"?: string,
"vat"?: integer,
"dimensionIds"?: [ string ],
"quantity"?: number,
"unit"?: string
}
],
"total"?: integer,
"postings"?: [
{
"accountNumber": string,
"amount": integer,
"partyId"?: string,
"taxCode"?: string,
"dimensionIds"?: [ string ],
"description"?: string
}
],
"data"?: { … }
}
POST /v1/companies/{companyId}/origins?dryRun=
Authorization: Bearer vx_…
X-Actor: user:mikko
Idempotency-Key: <unique>
Content-Type: application/json
{
"type": "PURCHASE_INVOICE",
"externalReference"?: string,
"seller": {
"partyId"?: string,
"name"?: string,
"businessId"?: string,
"vatId"?: string,
"iban"?: string,
"einvoiceAddress"?: string,
"externalId"?: string,
"country"?: string
},
"documentDate": string,
"dueDate"?: string,
"currency"?: string,
"fxRate"?: number,
"lines": [
{
"description": string,
"net": integer,
"taxCode"?: string,
"vat"?: integer,
"dimensionIds"?: [ string ],
"quantity"?: number,
"unit"?: string
}
],
"total"?: integer,
"paymentReference"?: string,
"postings"?: [
{
"accountNumber": string,
"amount": integer,
"partyId"?: string,
"taxCode"?: string,
"dimensionIds"?: [ string ],
"description"?: string
}
],
"data"?: { … }
}
POST /v1/companies/{companyId}/origins?dryRun=
Authorization: Bearer vx_…
X-Actor: user:mikko
Idempotency-Key: <unique>
Content-Type: application/json
{
"type": "BANK_TRANSACTION",
"externalId": string,
"externalAccountId"?: string,
"iban"?: string,
"amount": integer,
"bookingDate": string,
"valueDate"?: string,
"counterparty"?: {
"partyId"?: string,
"name"?: string,
"businessId"?: string,
"vatId"?: string,
"iban"?: string,
"einvoiceAddress"?: string,
"externalId"?: string,
"country"?: string
},
"reference"?: string,
"message"?: string,
"currency"?: string,
"fxRate"?: number,
"postings"?: [
{
"accountNumber": string,
"amount": integer,
"partyId"?: string,
"taxCode"?: string,
"dimensionIds"?: [ string ],
"description"?: string
}
],
"settles"?: [
{
"originId": string,
"amount"?: integer
}
]
}
POST /v1/companies/{companyId}/origins?dryRun=
Authorization: Bearer vx_…
X-Actor: user:mikko
Idempotency-Key: <unique>
Content-Type: application/json
{
"type": "MANUAL",
"description": string,
"documentDate": string,
"externalReference"?: string,
"counterparty"?: {
"partyId"?: string,
"name"?: string,
"businessId"?: string,
"vatId"?: string,
"iban"?: string,
"einvoiceAddress"?: string,
"externalId"?: string,
"country"?: string
},
"postings": [
{
"accountNumber": string,
"amount": integer,
"partyId"?: string,
"taxCode"?: string,
"dimensionIds"?: [ string ],
"description"?: string
}
],
"data"?: { … }
}
{
"id": string,
"type": string,
"status": string,
"parties": [ { … } ],
"counterpartyId": string | null,
"documentDate": string,
"dueDate": string | null,
"currency": string,
"total": Money,
"externalReference": string | null,
"paymentReference": string | null,
"invoiceNumber": integer | null,
"lines": [ { … } ],
"data": { … },
"settlement": SettlementState | null,
"delivery": {
"channel": string,
"status": string
} | null,
"currentInterpretationId": string | null,
"attachments": [ Attachment ],
"createdBy": string,
"createdAt": string,
"updatedAt": string,
"entries": [ Entry ],
"payments": [ { … } ],
"interpretations"?: [ Interpretation ],
"dryRun": true
}
Origin {
"id": string,
"type": string,
"status": string,
"parties": [ { … } ],
"counterpartyId": string | null,
"documentDate": string,
"dueDate": string | null,
"currency": string,
"total": Money,
"externalReference": string | null,
"paymentReference": string | null,
"invoiceNumber": integer | null,
"lines": [ { … } ],
"data": { … },
"settlement": SettlementState | null,
"delivery": { … } | null,
"currentInterpretationId": string | null,
"attachments": [ Attachment ],
"createdBy": string,
"createdAt": string,
"updatedAt": string,
"entries": [ Entry ],
"payments": [ { … } ],
"interpretations"?: [ Interpretation ]
}